//
// Created by m on 12/14/21.
//

#ifndef RLA_IIPP_TILEMAP_HPP
#define RLA_IIPP_TILEMAP_HPP


#include "../engine/utility/grid2d.hpp"

class TileMap {
private:
    Grid2D<char> grid = Grid2D<char>(0, 0);
    char wall_tile;
    char floor_tile;
public:
    void draw_floor(int x, int y);
    void draw_wall(int x, int y);
    void fill(bool wall);
    char get_tile(int x, int y);
    bool is_wall(int x, int y);
    int get_width();
    int get_height();

    TileMap(int width, int height, char wall_tile, char floor_tile) {
        this->grid = Grid2D<char>(width, height);
        this->wall_tile = wall_tile;
        this->floor_tile = floor_tile;
    }

};


#endif //RLA_IIPP_TILEMAP_HPP
